summaryrefslogtreecommitdiffstats
path: root/development/VisUAL
diff options
context:
space:
mode:
author Fernando Lopez Jr <fernando.lopezjr@gmail.com>2017-12-31 00:08:05 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-01-06 06:55:05 +0700
commitefc3963bc55573600212eacb10abc206864d33cd (patch)
tree4609807f310aa760e0674304b2bea641f3543c32 /development/VisUAL
parentc2af00e3054deaf708982ab371aebb17583c8547 (diff)
downloadslackbuilds-efc3963bc55573600212eacb10abc206864d33cd.tar.gz
slackbuilds-efc3963bc55573600212eacb10abc206864d33cd.tar.xz
development/VisUAL: Added (visual ARM emulator).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development/VisUAL')
-rw-r--r--development/VisUAL/README9
-rw-r--r--development/VisUAL/VisUAL.SlackBuild86
-rw-r--r--development/VisUAL/VisUAL.info10
-rw-r--r--development/VisUAL/doinst.sh3
-rw-r--r--development/VisUAL/slack-desc19
5 files changed, 127 insertions, 0 deletions
diff --git a/development/VisUAL/README b/development/VisUAL/README
new file mode 100644
index 0000000000..7e3999721b
--- /dev/null
+++ b/development/VisUAL/README
@@ -0,0 +1,9 @@
+VisUAL has been developed as a cross-platform tool to make learning ARM
+Assembly language easier. In addition to emulating a subset of the ARM
+UAL instruction set, it provides visualisations of key concepts unique
+to assembly language programming and therefore helps make programming
+ARM assembly more accessible.
+
+It has been designed specifically to use as a teaching tool for the
+Introduction to Computer Architecture course taught at the Department
+of Electrical and Electronic Engineering of Imperial College London.
diff --git a/development/VisUAL/VisUAL.SlackBuild b/development/VisUAL/VisUAL.SlackBuild
new file mode 100644
index 0000000000..b89996cfa6
--- /dev/null
+++ b/development/VisUAL/VisUAL.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for VisUAL
+
+# Copyright 2017 Fernando Lopez Jr <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=VisUAL
+VERSION=${VERSION:-1.27}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ] ; then
+ BASENAME=${BASENAME:-visual_1.27-1_i386}
+elif [ "$ARCH" = "x86_64" ]; then
+ BASENAME=${BASENAME:-visual_1.27-1_amd64}
+else
+ echo "$ARCH is not supported."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+ar p $CWD/$BASENAME.deb data.tar.xz | tar xvJ
+
+install -D -t $PKG/opt/$PRGNAM -m0755 \
+ usr/local/bin/visual/VisUAL.sh
+sed -i -e 's:../jre/bin/::' $PKG/opt/$PRGNAM/VisUAL.sh
+
+install -D -t $PKG/opt/$PRGNAM -m0644 \
+ usr/local/bin/visual/icon.png
+
+install -D -t $PKG/opt/$PRGNAM/content -m0644 \
+ usr/local/bin/visual/content/*
+
+install -D -t $PKG/usr/share/applications -m0644 \
+ usr/share/applications/$PRGNAM.desktop
+sed -i -e "s:/usr/local/bin/visual/:/opt/$PRGNAM/:" \
+ $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+ln -s $PKG/opt/$PRGNAM/content/*_LICENSE.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/VisUAL/VisUAL.info b/development/VisUAL/VisUAL.info
new file mode 100644
index 0000000000..639f432b62
--- /dev/null
+++ b/development/VisUAL/VisUAL.info
@@ -0,0 +1,10 @@
+PRGNAM="VisUAL"
+VERSION="1.27"
+HOMEPAGE="https://salmanarif.bitbucket.io/visual/"
+DOWNLOAD="https://bitbucket.org/salmanarif/visual-release/downloads/visual_1.27-1_i386.deb"
+MD5SUM="70b8cbc684be728bb9118c443d4ee3a8"
+DOWNLOAD_x86_64="https://bitbucket.org/salmanarif/visual-release/downloads/visual_1.27-1_amd64.deb"
+MD5SUM_x86_64="e159f7d2a16239e5a6ced105b572602b"
+REQUIRES="jdk"
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"
diff --git a/development/VisUAL/doinst.sh b/development/VisUAL/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/VisUAL/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/VisUAL/slack-desc b/development/VisUAL/slack-desc
new file mode 100644
index 0000000000..5d26cbfc9b
--- /dev/null
+++ b/development/VisUAL/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+VisUAL: VisUAL (visual ARM emulator)
+VisUAL:
+VisUAL: VisUAL has been developed as a cross-platform tool to make learning
+VisUAL: ARM UAL instruction set, it provides visualisations of key concepts
+VisUAL: unique to assembly language programming and therefore helps make
+VisUAL: programming ARM assembly more accessible.
+VisUAL:
+VisUAL: Homepage: https://salmanarif.bitbucket.io/visual/
+VisUAL:
+VisUAL:
+VisUAL: